# Cloud Print|deepin-cloud-print-configurator|

## Overview 

Cloud Print has fully used the advantages of existing printer adaptation  in Windows system, so that users can directly use printers that have not been adapted in the UnionTech OS, which greatly improves the utilization rate of printers.

## Operations

To use Cloud Print, you will have to install corresponding programs both in the client and server-side.

### On the Server-side in Windows  

1. Download "UniontechCloudPrintServerInstaller.exe" in Windows system.

2. Double-click it to start installation.

3. After installation completes, you will enter "Settings of Cloud Printer" interface. The local network address (XX.XX.XX.XX) is obtained automatically here.

   ![0|server](fig/server.png)

4. Input the new authorization code, click **Update**. 

5. When the port of Cloud Print conflicts with other programs in Windows system, you can modify the port configuration. In this interface, select ![menu](../common/icon_menu.svg )> **Settings** > **Port Setting**, you will see a dialogue box saying "Modify configuration to restart service to take effect, whether to continue?", click **Continue** to enter the Port Configuration page. Then set the remote communication port(from 1025 to 65535).

### On the client in Uniontech OS

#### Add Cloud Printer

1. Click ![deepin_launcher](../common/deepin_launcher.svg)  on Dock to enter launcher's interface.

2. Locate the icon ![cloud-print-configurator](../common/cloud-print-configurator.svg) by  scrolling the mouse wheel or searching "Cloud Print" in the Launcher interface and click it to run. 

3. Input IP address (XX.XX.XX.XX) and authorization code, click **Next**. 

   ![0|client1](fig/client1.png)

4. The system automatically loads the list of cloud printers, and you can also enter the IP address or name of the cloud printer in the search box to search. After selecting the cloud printer you want to add, click the add button![addnormal](../common/add_normal.svg ).

   ![0|client2](fig/client2.png)

5. After adding successfully, the printer is added to the list of printers in Print Manager, and click ![settings](fig/settings.png) to jump to Print Manager interface.

6. You can select an added printer from the list when you print a file in UnionTech OS.

## Main Menu

In the main menu, you can set ports, switch themes, view manual, and so on.

### Settings

1. Click ![menu](../common/icon_menu.svg )> **Settings** > **Port Setting** on the main interface.

2. You will see a dialogue box saying "Modify configuration to restart service to take effect, whether to continue?", click **Continue** to enter the Port Configuration page.
3. Set the remote communication port(from 1025 to 65535). If the remote communication port on server-side is modified, you will have to modify that on the client accordingly.

   ![0|port_configuration](fig/port_configuration.png)



### Theme

The window theme includes Light Theme, Dark Theme and System Theme.

1. Click ![icon_menu](../common/icon_menu.svg) on the main interface.
2. Click **Theme** to choose one theme.

### Help

Click Help to get the manual, which will help you further know and use Cloud Print.

1. Click ![icon_menu](../common/icon_menu.svg) on the main interface.
2. Click **Help** to view the manual of Cloud Print.

### About

1. Click ![icon_menu](../common/icon_menu.svg) on the main interface.
2. Click **About** to view version information about Cloud Print.


### Exit

1. Click ![icon_menu](../common/icon_menu.svg) on the main interface.
2. Click **Exit**.

